﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using System.Drawing;

namespace WebSample
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }
        protected void generate_click(object sender, EventArgs e)
        {
            // Create a new instance of PdfDocument class.
            PdfDocument document = new PdfDocument();

            // Add a page to the document.
            PdfPage page = document.Pages.Add();

            // Create Pdf graphics for the page.
            PdfGraphics g = page.Graphics;

            // Create a solid brush
            PdfBrush brush = new PdfSolidBrush(Color.Black);

            // Set the font.
            PdfFont font = new PdfStandardFont(PdfFontFamily.Helvetica, 20f);

            // Draw the text.
            g.DrawString("Hello world!", font, brush, new PointF(20, 20));
            if (InsideBrowser.Checked)
                document.Save("sample.pdf", HttpContext.Current.ApplicationInstance.Response, HttpReadType.Open);
            else
                document.Save("sample.pdf", HttpContext.Current.ApplicationInstance.Response, HttpReadType.Save);
        }
    }
}
